Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.quality
Interface QuantitativeResult

All Superinterfaces:
  Result

    @UML(identifier="DQ_QuantitativeResult",
         specification=ISO_19115)
    public interface QuantitativeResult

extends Result

Information about the value (or set of values) obtained from applying a data quality measure.

Since:
  GeoAPI 2.0

Method Summary
`InternationalString` | `getErrorStatistic()` Statistical method used to determine the value, or `null` if none.
`Collection<? extends Record>` | `getValues()` Quantitative value or values, content determined by the evaluation procedure used.
`RecordType` | `getValueType()` Value type for reporting a data quality result, or `null` if none.
`Unit` | `getValueUnit()` Value unit for reporting a data quality result, or `null` if none.

Method Detail

### getValues

    @UML(identifier="value",
         obligation=MANDATORY,
         specification=ISO_19115)
    Collection<? extends Record> getValues()

  Quantitative value or values, content determined by the evaluation procedure used.

### getValueType

    @UML(identifier="valueType",
         obligation=OPTIONAL,
         specification=ISO_19115)
    RecordType getValueType()

  Value type for reporting a data quality result, or `null` if none.

### getValueUnit

    @UML(identifier="valueUnit",
         obligation=MANDATORY,
         specification=ISO_19115)
    Unit getValueUnit()

  Value unit for reporting a data quality result, or `null` if none.

### getErrorStatistic

    @UML(identifier="errorStatistic",
         obligation=OPTIONAL,
         specification=ISO_19115)
    InternationalString getErrorStatistic()

  Statistical method used to determine the value, or `null` if none.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.